Grants, vesting & distributions

Delete Exercise Request

Deletes one of the caller's own exercise requests after an ownership guard read.

POSThttps://api.toku.com/tga/delete-exercise-request

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/delete-exercise-request' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "exerciseRequestID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "exerciseRequestID": "string",
  "roleInOrgID": "string",
  "grantID": "string",
  "status": "PENDING_AGREEMENT",
  "units": "string",
  "settlementMethod": "TOKEN",
  "documentID": "string",
  "addedByRoleInOrgID": "string",
  "rejectedAt": "string",
  "rejectedReason": "string",
  "rejectedByRoleInOrgID": "string",
  "approvedByRoleInOrgID": "string",
  "approvedAt": "string",
  "taxReferenceID": "string",
  "settlementID": "string",
  "lockedUntil": "string",
  "lockupEndNotifiedAt": "string",
  "paymentReceivedAt": "string",
  "paymentAmount": "string",
  "paymentCurrencyCode": "string",
  "paymentReference": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "deletedAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

exerciseRequestIDstring<uuid>required

Response

200Successful response
exerciseRequestIDstringrequired
roleInOrgIDstringrequired
grantIDstringrequired
statusstringrequired

Available options: PENDING_AGREEMENT, PENDING_TOKU_ACCEPTANCE, PENDING_TAX_APPROVAL, PENDING_SETTLEMENT, SETTLED, EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM, REJECTED

unitsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

settlementMethodstringrequired

Available options: TOKEN, CASH

documentIDstring | nullrequired
addedByRoleInOrgIDstring | nullrequired
rejectedAtstring | nullrequired
rejectedReasonstring | nullrequired
rejectedByRoleInOrgIDstring | nullrequired
approvedByRoleInOrgIDstring | nullrequired
approvedAtstring | nullrequired
taxReferenceIDstring | nullrequired
settlementIDstring | nullrequired
lockedUntilstring | nullrequired
lockupEndNotifiedAtstring | nullrequired
paymentReceivedAtstring | nullrequired
paymentAmountstring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

paymentCurrencyCodestring | nullrequired
paymentReferencestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
deletedAtstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits